> ## Documentation Index
> Fetch the complete documentation index at: https://docs.affelios.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Asynchronously enqueues a request to create a batch of new transaction items.



## OpenAPI

````yaml https://platform.affelios.com/swagger/v1/swagger.json post /api/v1/transaction/bulk
openapi: 3.0.4
info:
  title: Affelios Platform API
  version: v1
servers: []
security:
  - Bearer: []
paths:
  /api/v1/transaction/bulk:
    post:
      tags:
        - Transaction
      summary: >-
        Asynchronously enqueues a request to create a batch of new transaction
        items.
      operationId: TransactionBulkPost
      parameters:
        - name: X-Api-Key
          in: header
          schema:
            type: string
      requestBody:
        description: The new transaction item body batch.
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/TransactionBody'
          text/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/TransactionBody'
          application/*+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/TransactionBody'
      responses:
        '202':
          description: Accepted
components:
  schemas:
    TransactionBody:
      type: object
      properties:
        externalId:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        affiliateId:
          type: string
          nullable: true
        clickKey:
          type: string
          nullable: true
        externalCustomerId:
          type: string
          nullable: true
        externalBrandId:
          type: string
          nullable: true
        externalProductId:
          type: string
          nullable: true
        transactionDate:
          type: string
          format: date-time
        country:
          type: string
          nullable: true
        country_code:
          type: string
          nullable: true
        depositAmount:
          type: number
          format: double
        grossRevenue:
          type: number
          format: double
        wageredAmount:
          type: number
          format: double
        revShareCommission:
          type: number
          format: double
        cpaCommission:
          type: number
          format: double
        fixedCommission:
          type: number
          format: double
        category:
          type: string
          nullable: true
        label:
          type: string
          nullable: true
        note:
          type: string
          nullable: true
        operatorId:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````